# Uses of Enum Class
org.apache.cxf.transport.common.gzip.GZIPOutInterceptor.UseGzip

Packages that use GZIPOutInterceptor.UseGzip
Package
Description
org.apache.cxf.transport.common.gzip

- ## Uses of GZIPOutInterceptor.UseGzip in org.apache.cxf.transport.common.gzip

  Methods in org.apache.cxf.transport.common.gzip that return GZIPOutInterceptor.UseGzip
  Modifier and Type
  Method
  Description
  `GZIPOutInterceptor.UseGzip`
  GZIPOutInterceptor.`gzipPermitted(Message message)`
  Checks whether we can, cannot or must use gzip compression on this output message.
  `static GZIPOutInterceptor.UseGzip`
  GZIPOutInterceptor.UseGzip.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static GZIPOutInterceptor.UseGzip[]`
  GZIPOutInterceptor.UseGzip.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.